<?php
/*
@edvikRef: @theme_edvik/layout
 */

defined('MOODLE_INTERNAL') || die();

$templatecontext = [
    'sitename'                  => format_string($SITE->shortname, true, ['context' => context_course::instance(SITEID), "escape" => false]),
    'output'                    => $OUTPUT,
    'pageheading'               => $pageheading,
    'leftblocks'                => $leftblocks,
    'user_profile_picture'      => new moodle_url('/user/pix.php/'.$USER->id.'/f1.jpg'),
    'profile_icon_username'     => $edvikProfileIconUsername,
    'login_url'                 => $login_url,
    'signup_url'                => $signup_url,
    'isloggedin'                => $isloggedin,
    'sidepreblocks'             => $blockshtml,
    'hasblocks'                 => $hasblocks,
    'bodyattributes'            => $bodyattributes,
    'primarymoremenu'           => $primarymenu['moremenu'],
    'secondarymoremenu'         => $secondarynavigation ?: false,
    'mobileprimarynav'          => $primarymenu['mobileprimarynav'],
    'usermenu'                  => $primarymenu['user'],
    'langmenu'                  => $primarymenu['lang'],
    'headercontent'             => $headercontent,
    'overflow'                  => $overflow,
    'addblockbutton'            => $addblockbutton,
    'blocks_fullwidth_top'      => $blocks_fullwidth_top,
    'blocks_fullwidth_bottom'   => $blocks_fullwidth_bottom,
    'blocks_above_content'      => $blocks_above_content,
    'has_blocks_above_content'  => !empty($blocks_above_content),
    'blocks_below_content'      => $blocks_below_content,
    'has_blocks_below_content'  => !empty($blocks_below_content),
    'has_blocks_fullwidth_top'  => !empty($blocks_fullwidth_top),
    'regionmainsettingsmenu'    => $regionmainsettingsmenu,
    'hasregionmainsettingsmenu' => !empty($regionmainsettingsmenu),
    'edvik_globalsearch_navbar' => $edvik_globalsearch_navbar,
    'logo_visibility'           => $logo_visibility,
    'fNewslatter'           => $fNewslatter,
    'main_logo'                 => $main_logo,
    'logo_styles'               => $logo_styles,
    'mobile_logo'               => $mobile_logo,
    'mobile_logo_styles'        => $mobile_logo_styles,
    'header_search_bar'         => $header_search,
    'top_header_content'        => $top_header_content,
    'top_header_right_content'  => $top_header_right_content,
    'category_title'            => $category_title,
    'category_content'          => $category_content,
    'top_header'                => $top_header,
    'header_btn_url'            => $header_btn_url,
    'header_left_btn_text'      => $header_left_btn_text,
    'header_left_btn_url'       => $header_left_btn_url,

    'footer_logo_visibility'    => $footer_logo_visibility,
    'main_footer_logo'          => $main_footer_logo,
    'footer_logo_styles'        => $footer_logo_styles,

    'social_target_href' => $social_target_href,
    'edvik_facebook_url' => get_config('theme_edvik', 'edvik_facebook_url'),
    'edvik_x_url' => get_config('theme_edvik', 'edvik_x_url'),
    'edvik_instagram_url' => get_config('theme_edvik', 'edvik_instagram_url'),
    'edvik_pinterest_url' => get_config('theme_edvik', 'edvik_pinterest_url'),
    'edvik_dribbble_url' => get_config('theme_edvik', 'edvik_dribbble_url'),
    'edvik_google_url' => get_config('theme_edvik', 'edvik_google_url'),
    'edvik_youtube_url' => get_config('theme_edvik', 'edvik_youtube_url'),
    'edvik_vk_url' => get_config('theme_edvik', 'edvik_vk_url'),
    'edvik_500px_url' => get_config('theme_edvik', 'edvik_500px_url'),
    'edvik_behance_url' => get_config('theme_edvik', 'edvik_behance_url'),
    'edvik_digg_url' => get_config('theme_edvik', 'edvik_digg_url'),
    'edvik_flickr_url' => get_config('theme_edvik', 'edvik_flickr_url'),
    'edvik_foursquare_url' => get_config('theme_edvik', 'edvik_foursquare_url'),
    'edvik_linkedin_url' => get_config('theme_edvik', 'edvik_linkedin_url'),
    'edvik_medium_url' => get_config('theme_edvik', 'edvik_medium_url'),
    'edvik_meetup_url' => get_config('theme_edvik', 'edvik_meetup_url'),
    'edvik_snapchat_url' => get_config('theme_edvik', 'edvik_snapchat_url'),
    'edvik_tumblr_url' => get_config('theme_edvik', 'edvik_tumblr_url'),
    'edvik_vimeo_url' => get_config('theme_edvik', 'edvik_vimeo_url'),
    'edvik_wechat_url' => get_config('theme_edvik', 'edvik_wechat_url'),
    'edvik_whatsapp_url' => get_config('theme_edvik', 'edvik_whatsapp_url'),
    'edvik_wordpress_url' => get_config('theme_edvik', 'edvik_wordpress_url'),
    'edvik_weibo_url' => get_config('theme_edvik', 'edvik_weibo_url'),
    'edvik_telegram_url' => get_config('theme_edvik', 'edvik_telegram_url'),
    'edvik_moodle_url' => get_config('theme_edvik', 'edvik_moodle_url'),
    'edvik_amazon_url' => get_config('theme_edvik', 'edvik_amazon_url'),
    'edvik_slideshare_url' => get_config('theme_edvik', 'edvik_slideshare_url'),
    'edvik_soundcloud_url' => get_config('theme_edvik', 'edvik_soundcloud_url'),
    'edvik_leanpub_url' => get_config('theme_edvik', 'edvik_leanpub_url'),
    'edvik_xing_url' => get_config('theme_edvik', 'edvik_xing_url'),
    'edvik_bitcoin_url' => get_config('theme_edvik', 'edvik_bitcoin_url'),
    'edvik_twitch_url' => get_config('theme_edvik', 'edvik_twitch_url'),
    'edvik_github_url' => get_config('theme_edvik', 'edvik_github_url'),
    'edvik_gitlab_url' => get_config('theme_edvik', 'edvik_gitlab_url'),
    'edvik_forumbee_url' => get_config('theme_edvik', 'edvik_forumbee_url'),
    'edvik_trello_url' => get_config('theme_edvik', 'edvik_trello_url'),
    'edvik_weixin_url' => get_config('theme_edvik', 'edvik_weixin_url'),
    'edvik_slack_url' => get_config('theme_edvik', 'edvik_slack_url'),

    'footer_copyright'       => $footer_copyright,
    'banner_bg_image'     => $banner_bg_image,
    'back_to_top'            => $back_to_top == 0,
    'hide_global_banner'     => $hide_global_banner == 0,
    'hide_guest_access_curriculum'            => $hide_guest_access_curriculum == 0,

    'favicon'                   => $favicon,
    'footer_column_1' => $footer_column_1,
    'footer_column_2' => $footer_column_2,
    'footer_column_3' => $footer_column_3,
    'footer_column_4' => $footer_column_4,
    'footer_column_5' => $footer_column_5,
    'footer_col_1_class' => $footer_col_1_class,
    'footer_col_2_class' => $footer_col_2_class,
    'footer_col_3_class' => $footer_col_3_class,
    'footer_col_4_class' => $footer_col_4_class,
    'footer_col_5_class' => $footer_col_5_class,
    'footer_col_1_title' => get_config('theme_edvik', 'footer_col_1_title'),
    'footer_info' => get_config('theme_edvik', 'footer_info'),
    'footer_col_1_body' => get_config('theme_edvik', 'footer_col_1_body'),
    'footer_col_2_title' => get_config('theme_edvik', 'footer_col_2_title'),
    'footer_col_2_body' => get_config('theme_edvik', 'footer_col_2_body'),
    'footer_col_3_title' => get_config('theme_edvik', 'footer_col_3_title'),
    'footer_col_3_body' => get_config('theme_edvik', 'footer_col_3_body'),
    'footer_col_4_title' => get_config('theme_edvik', 'footer_col_4_title'),
    'footer_col_4_body' => get_config('theme_edvik', 'footer_col_4_body'),
    'footer_col_5_title' => get_config('theme_edvik', 'footer_col_5_title'),
    'footer_col_5_body' => get_config('theme_edvik', 'footer_col_5_body'),

];
$PAGE->requires->jquery();